<html>
<head>
<meta HTTP-EQUIV=CONTENT-TYPE CONTENT="text/html; charset=utf-8">
<title>Answer</title>
</head>
<body text=#000000 bgcolor=#FFFFFF link=#0000CC vlink=#000080 alink=#0000CC>
<center>
<a href="text0.html">First page</a> <a href="text14.html">Back</a> <a href="text16.html">Continue</a> <a href="text32.html">Last page</a> <a href="lsb.html">Overview</a> <a href="img15.html">Graphics</a></center><br>
<h1>Answer</h1><p>
<ul><li><h2>Most upstreams already do a good job</h2>
<li><h2>Libraries</h2>
<ul><li>soname versioning
<li>Versioned symbols
<li>LSB headers and stub libraries
<li>safety net, separate linker
<ul><li>ls-lsb.so  -&gt;  ld-linux.so
</ul></ul><li><h2>Commands</h2>
<ul><li>minimal, mostly covered by other standards
</ul></ul><br>
<h3>Notes:</h3>
</body>
</html>